<template>
  <div
    class="ac-card__item"
    :class="{ 'is-vertical': isVertical }"
    :style="{ width }"
    >
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: 'AcCardItem',
  computed: {
    isVertical () {
      return !this.$parent.$props.vertical
    },
    width () {
      return this.isVertical && `${100 / this.$parent.$props.column - 1}%`
    }
  }
}
</script>
